﻿# -*- coding: utf-8 -*-
#------------------------------------------------------------
# pelisalacarta - XBMC Plugin
# Canal para Repelis - Por Kampanita-2015
# http://blog.tvalacarta.info/plugin-xbmc/pelisalacarta/
#------------------------------------------------------------
import urlparse,urllib2,urllib,re
import os, sys

from core import logger
from core import config
from core import scrapertools
from core.item import Item
from servers import servertools

__channel__ = "repelis"
__category__ = "F,L"
__type__ = "generic"
__title__ = "Repelis"
__language__ = "ES"

DEBUG = config.get_setting("debug")

def isGeneric():
    return True

def mainlist(item):
    logger.info("[repelis] mainlist")
    itemlist = []
    
    item.url = "http://www.repelis.tv/page/1"

    # Descarga la pagina
     
    data = scrapertools.cache_page(item.url)
              
    patron = '<li id="menu-item-[^<]+><a href="([^"]+)" title="([^"]+)">'
    matches = re.compile(patron,re.DOTALL).findall(data)
    scrapertools.printMatches(matches)
    
    for scrapedurl,scrapedtitle in matches:
        title = scrapedtitle
        url = urlparse.urljoin(item.url,scrapedurl)
        itemlist.append( Item(channel=__channel__, action="menupelis", title=title, fulltitle=title , url=url , thumbnail="http://s6.postimg.org/gninw2o9d/searchaquittub.jpg") )
    
    itemlist.append( Item(channel=__channel__, action="poranyo", title="Por Año", url="http://www.repelis.tv/fecha/2015", thumbnail="http://s6.postimg.org/gninw2o9d/searchaquittub.jpg", fanart="http://s6.postimg.org/b4kpslglt/searchaquit.jpg"))
    itemlist.append( Item(channel=__channel__, action="search", title="Buscar...", url="http://www.repelis.tv/search/?s=", thumbnail="http://s6.postimg.org/gninw2o9d/searchaquittub.jpg", fanart="http://s6.postimg.org/b4kpslglt/searchaquit.jpg"))
    return itemlist
 		
def menupelis(item):
   
    logger.info("[repelis] menupelis")
    logger.info("[repelis] "+item.url)
    
    itemlist = []
       
    data = scrapertools.cache_page(item.url)              
    		
    patron = '<a href="([^"]+)" title="([^"]+)"> <div class="poster".*?<img src="([^"]+)"'    
    matches = re.compile(patron,re.DOTALL).findall(data)    
    
    for scrapedurl,scrapedtitle,scrapedthumbnail in matches:
       title = scrapedtitle.replace("Ver Película","");
       title = title.replace("Online","");
       url = urlparse.urljoin(item.url,scrapedurl)
       thumbnail = urlparse.urljoin(item.url,scrapedthumbnail)
       itemlist.append( Item(channel=__channel__, action="verpeli", title=title, fulltitle=title , url=url , thumbnail=thumbnail) )
    
    if not "/page/" in item.url:
        item.url = item.url + "/page/0"
    match = 0
    data=item.url
    patron='/page/([0-9])'
    matches = re.compile(patron,re.DOTALL).findall(data)    
    scrapertools.printMatches(matches)
    for smatch in matches:       
        match = int(smatch) + 1            
        item.url=item.url.replace(smatch,str(match))
    
    itemlist.append( Item(channel=__channel__, action="menupelis", title="Pag.Siguiente >>", fulltitle="Pag.Siguiente" , url=item.url ) )        
    return itemlist

    # Extrae las entradas
   
def verpeli(item):   
   
   logger.info("[repelis] menupelis")
   logger.info("[repelis] "+item.url)
    
   itemlist = []
            
   data = scrapertools.cache_page(item.url) 
      
   patron='<a rel="nofollow".*?</a>.*?</td>.*?<td>(.*?)</td>.*?<td>(.*?)</td>.*?src="http://www.google.com/s2/favicons\?domain=(.*?)"'
   matches = re.compile(patron,re.DOTALL).findall(data)    
   scrapertools.printMatches(matches)
  
   for scrapedlang, scrapedquality, scrapedurl in matches:
      url = urlparse.urljoin(item.url,scrapedurl)
      logger.info("[repelis] "+url)
      

      itemlist.append( Item(channel=__channel__, action="play" ,  title=scrapedurl+" "+scrapedquality , url=url, thumbnail=item.thumbnail, folder=False))
      
   return itemlist

def play(item):
   logger.info("[repelis] play url="+item.url)
   
   itemlist = servertools.find_video_items(data=item.url)
    
   return itemlist
   

def search(item, texto):
   logger.info("[repelis] "+item.url)
   item.url = 'http://www.repelis.tv/search/?s=%s' % (texto)
   logger.info("[repelis] "+item.url)
   
   data = scrapertools.cache_page(item.url)
      
   patron = '<p class="num-resultados">.*?<a href="([^"]+)" title="([^"]+)">.*?<img src="([^"]+)".*?<p class="text-list">(.*?)</p>'
   matches = re.compile(patron,re.DOTALL).findall(data)    
   scrapertools.printMatches(matches)
   itemlist = []
   
   for scrapedurl,scrapedtitle,scrapedthumbnail,scrapedinfo in matches:      
      title = scrapedtitle
      url = urlparse.urljoin(item.url,scrapedurl)
      thumbnail = urlparse.urljoin(item.url,scrapedthumbnail)
      logger.info("[repelis] "+url)
      itemlist.append( Item(channel=__channel__, action="verpeli", title=title, fulltitle=title , url=url , thumbnail=thumbnail) )
    
   return itemlist  
   

def poranyo(item):
   
    logger.info("[repelis] poranyo")
    logger.info("[repelis] "+item.url)
    
    itemlist = []
       
    data = scrapertools.cache_page(item.url)              
   
    patron = '<option value="([^"]+)">(.*?)</option>'    
    matches = re.compile(patron,re.DOTALL).findall(data)    
    scrapertools.printMatches(matches)
    for scrapedurl,scrapedtitle in matches:
       title = scrapedtitle
       url = urlparse.urljoin(item.url,scrapedurl)       
       itemlist.append( Item(channel=__channel__, action="menupelis", title=title, fulltitle=title , url=url ) )
            
    return itemlist
   